## emacs-buttercup 1.5

=== Makefile ===
EMACS := emacs
VERSION = $(shell sed -ne 's/^;; Version: \(.*\)/\1/p' buttercup.el)
DISTFILES = buttercup.el buttercup-compat.el buttercup-pkg.el README.md


.PHONY: test

all: test

test:
	$(EMACS) -batch -L . -l buttercup.el -f buttercup-run-markdown docs/writing-tests.md
	./bin/buttercup -L .

compile:
	$(EMACS) -batch -L . -f batch-byte-compile *.el

release: clean test
	mkdir -p dist
	tar -c $(DISTFILES) --transform "s,^,buttercup-$(VERSION)/," --transform 's/README.md/README.txt/' > "dist/buttercup-$(VERSION).tar"

clean:
	rm -f *.elc

=== debian/changelog ===
emacs-buttercup (1.5-2) unstable; urgency=medium

  * Add patch to fix regexp so that /usr/bin/buttercup ignores tests in
    hidden directories in the root of a source tree.
    In particular, this ignores phantom tests found in the .pc/ directory.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 13 May 2016 15:55:20 -0700

emacs-buttercup (1.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch backporting a fix present in this version.
  * Refresh remaining patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Mar 2016 15:00:30 -0700

emacs-buttercup (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #816835)

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 09 Mar 2016 12:47:30 -0700

=== debian/control ===
Source: emacs-buttercup
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
Standards-Version: 3.9.8
Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-buttercup.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-buttercup.git/

Package: elpa-buttercup
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: behaviour-driven testing for Emacs Lisp packages
 Buttercup is a behavior-driven development framework for testing
 Emacs Lisp code. It allows the programmer to group related tests so
 they can share common set-up and tear-down code, and it allows the
 programmer to spy on functions to ensure they are called with the
 right arguments during testing.
 .
 The testing framework is inspired by the Jasmine JavaScript test framework.

## emacs-buttercup 1.7

=== debian/changelog ===
emacs-buttercup (1.7-1) unstable; urgency=medium

  * New upstream release.
    - Update buttercup.1 for several new options.
  * Drop 0002-exclude-hidden-files-and-dirs-in-test-root.patch
    Merged upstream.
  * Bump debhelper compat to 10.
  * Bump standards version to 4.0.0 (no changes required).
  * Drop d/source/options for dgit.
    Although dgit does not require dropping this file, it serves no
    purpose and gets in the way of uploading.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 19 Jun 2017 12:08:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
+Standards-Version: 4.0.0
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-buttercup.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-buttercup.git/

## emacs-buttercup 1.9

=== debian/changelog ===
emacs-buttercup (1.9-1) unstable; urgency=medium

  * New upstream version.
  * Update buttercup(1) with new options.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Sep 2017 16:33:10 -0700

emacs-buttercup (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump std-ver to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 02 Sep 2017 13:03:43 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-buttercup.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-buttercup.git/

=== debian/rules ===
#!/usr/bin/make -f

# determine all markdown documentation files so we can ensure they are
# compressed below
MD_DOCS := $(wildcard debian/elpa-buttercup/usr/share/doc/elpa-buttercup/*.md)
MD_DOCS_STRIPPED := $(MD_DOCS:debian/elpa-buttercup/%=%)

%:
	dh $@ --parallel --with elpa

override_dh_auto_test:
	emacs --batch -Q -L . \
		-l tests/test-buttercup.el

override_dh_compress:
	# add files that dh_compress somehow misses
	dh_compress $(MD_DOCS_STRIPPED)

## emacs-buttercup 1.12

=== debian/changelog ===
emacs-buttercup (1.12-1) unstable; urgency=medium

  * New upstream release.
  * Switch to dgit-maint-merge(7) workflow
    - Add d/source/options
    - Add d/source/patch-header.
  * Drop --parallel from d/rules.
  * Points Vcs-* at salsa.
  * Update Maintainer field for team rename.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Jul 2018 17:29:04 +0800

emacs-buttercup (1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 12 Mar 2018 18:17:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: emacs-buttercup
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
 Standards-Version: 4.1.0
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-buttercup.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-buttercup.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-buttercup
 
 Package: elpa-buttercup
 Architecture: all

## emacs-buttercup 1.16

=== Makefile ===
EMACS := emacs
VERSION := $(shell sed -ne 's/^;; Version: \(.*\)/\1/p' buttercup.el)
ELISP_FILES := $(shell ls *.el | grep -v -- '-pkg\.el$$')
DISTFILES := $(ELISP_FILES) buttercup-pkg.el README.md

.PHONY: test compile clean

all: test

test: compile
	./bin/buttercup -L .
	$(EMACS) -batch -L . -l buttercup.el -f buttercup-run-markdown docs/writing-tests.md

compile: $(patsubst %.el,%.elc,$(ELISP_FILES))

%.elc: %.el
	$(EMACS) -batch -L . -f batch-byte-compile $<

release: clean test
	mkdir -p dist
	tar -c $(DISTFILES) --transform "s,^,buttercup-$(VERSION)/," --transform 's/README.md/README.txt/' > "dist/buttercup-$(VERSION).tar"

clean:
	rm -f *.elc

=== debian/changelog ===
emacs-buttercup (1.16-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 07 Dec 2018 13:29:14 -0700

emacs-buttercup (1.15-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 30 Nov 2018 09:54:42 -0700

emacs-buttercup (1.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop trailing slash from Vcs-Git.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 12:48:27 -0700

emacs-buttercup (1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Sep 2018 10:30:45 -0700

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MD_DOCS_STRIPPED := $(MD_DOCS:debian/elpa-buttercup/%=%)
 
 %:
-	dh $@ --parallel --with elpa
+	dh $@ --with elpa
 
 override_dh_auto_test:
 	emacs --batch -Q -L . \

## emacs-buttercup 1.19

=== debian/changelog ===
emacs-buttercup (1.19-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jan 2020 06:46:10 -0700

emacs-buttercup (1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2019 10:24:43 -0700

emacs-buttercup (1.16-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 08:50:20 -0300

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/emacs-buttercup-$1\.tar\.gz/ \
  https://github.com/jorgenschaefer/emacs-buttercup/tags .*/v?(\d\S*)\.tar\.gz

## emacs-buttercup 1.22

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,12 @@
 
 all: test
 
-test: compile
-	./bin/buttercup -L .
+test: test-buttercup test-docs
+
+test-buttercup: compile
+	./bin/buttercup -L . tests
+
+test-docs: compile
 	$(EMACS) -batch -L . -l buttercup.el -f buttercup-run-markdown docs/writing-tests.md
 
 compile: $(patsubst %.el,%.elc,$(ELISP_FILES))

=== debian/changelog ===
emacs-buttercup (1.22-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Jul 2020 15:27:18 -0700

emacs-buttercup (1.21-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 14 Mar 2020 14:04:48 -0700

emacs-buttercup (1.20-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Feb 2020 08:53:37 -0700

## emacs-buttercup 1.24

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 test: test-buttercup test-docs
 
 test-buttercup: compile
-	./bin/buttercup -L . tests
+	./bin/buttercup -L . tests $(if $(CI),--traceback pretty)
 
 test-docs: compile
 	$(EMACS) -batch -L . -l buttercup.el -f buttercup-run-markdown docs/writing-tests.md
@@ -25,4 +25,4 @@
 	tar -c $(DISTFILES) --transform "s,^,buttercup-$(VERSION)/," --transform 's/README.md/README.txt/' > "dist/buttercup-$(VERSION).tar"
 
 clean:
-	rm -f *.elc
+	rm -f *.elc tests/*.elc

=== debian/changelog ===
emacs-buttercup (1.24-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 Jan 2021 11:24:30 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
 Standards-Version: 4.1.0
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
-Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-buttercup
 
 Package: elpa-buttercup

## emacs-buttercup 1.26

=== debian/changelog ===
emacs-buttercup (1.26-4) unstable; urgency=medium

  * Remove native compilation workarounds; rely on emacs doing the right
    thing. This requires a versioned dependence on emacs.

 -- David Bremner <bremner@debian.org>  Sat, 14 Jan 2023 13:40:38 -0400

emacs-buttercup (1.26-3) unstable; urgency=medium

  * fix second typo in bin/buttercup introduced in 1.26-1
  * use native-comp-eln-load-path to redirect output
  * Add myself to uploaders

 -- David Bremner <bremner@debian.org>  Sun, 09 Oct 2022 06:54:11 -0300

emacs-buttercup (1.26-2) unstable; urgency=medium

  * Team upload
  * Fix typo in buttercup script introduced in 1.26-1

 -- David Bremner <bremner@debian.org>  Sat, 24 Sep 2022 14:03:40 -0300

emacs-buttercup (1.26-1) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ David Bremner ]
  * New upstream version
  * Set native compilation output to temporary directory (Closes: #1020095).

 -- David Bremner <bremner@debian.org>  Sat, 24 Sep 2022 08:03:57 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17)
+Uploaders: David Bremner <bremner@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
+Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
 Standards-Version: 4.1.0
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git
@@ -11,10 +11,9 @@
 
 Package: elpa-buttercup
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, emacs (>= 1:28.2+1-9)
 Built-Using: ${misc:Built-Using}
-Recommends: emacs (>= 46.0)
-Enhances: emacs, emacs24
+Enhances: emacs
 Description: behaviour-driven testing for Emacs Lisp packages
  Buttercup is a behavior-driven development framework for testing
  Emacs Lisp code. It allows the programmer to group related tests so

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # compressed below
 MD_DOCS := $(wildcard debian/elpa-buttercup/usr/share/doc/elpa-buttercup/*.md)
 MD_DOCS_STRIPPED := $(MD_DOCS:debian/elpa-buttercup/%=%)
+
+export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t
 
 %:
 	dh $@ --with elpa

## emacs-buttercup 1.31

=== Makefile ===
EMACS := emacs
VERSION := $(shell sed -ne 's/^;; Version: \(.*\)/\1/p' buttercup.el)
ELISP_FILES := $(wildcard *.el)

.PHONY: test compile clean

all: test

check test: check-buttercup check-docs

check-buttercup test-buttercup: compile
	./bin/buttercup -L . tests $(if $(CI),--traceback pretty)

check-docs test-docs: compile
	$(EMACS) -batch -L . -l buttercup.el -f buttercup-run-markdown docs/writing-tests.md

compile: $(patsubst %.el,%.elc,$(ELISP_FILES))

%.elc: %.el
	$(EMACS) -batch -L . -f batch-byte-compile $<

clean:
	rm -f *.elc tests/*.elc

=== debian/changelog ===
emacs-buttercup (1.31-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload.
  * New upstream release.
    - Fixes compatibility with Emacs 29.1.  Closes: #1050459.
  * Refresh d/p/debian-changes.
  * Drop "Built-Using" from d/control as it should not be used with
    arch:all package as suggested by lintian.
  * Update d/watch to use version 4 features.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Filter "nocheck" in DEB_BUILD_OPTIONS as per lintian warning.

  [ Sean Whitton ]
  * Remove myself from Uploaders.

 -- David Bremner <bremner@debian.org>  Tue, 29 Aug 2023 18:28:07 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: David Bremner <bremner@debian.org>, Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
-Standards-Version: 4.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-buttercup
@@ -12,7 +12,6 @@
 Package: elpa-buttercup
 Architecture: all
 Depends: ${misc:Depends}, emacs (>= 1:28.2+1-9)
-Built-Using: ${misc:Built-Using}
 Enhances: emacs
 Description: behaviour-driven testing for Emacs Lisp packages
  Buttercup is a behavior-driven development framework for testing

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,10 @@
 	dh $@ --with elpa
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	emacs --batch -Q -L . \
 		-l tests/test-buttercup.el
+endif
 
 override_dh_compress:
 	# add files that dh_compress somehow misses

=== debian/watch ===
version=4
  https://github.com/jorgenschaefer/emacs-buttercup/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## emacs-buttercup 1.35

=== debian/changelog ===
emacs-buttercup (1.35-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:13:08 +0900

emacs-buttercup (1.35-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:40:28 +0900

emacs-buttercup (1.35-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Add myself to uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 14 Apr 2024 11:59:29 +0800

emacs-buttercup (1.34-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * New upstream release
  * Migrate to debhelper-compat version 13
  * Add Upstream-Contact in d/copyright
  * Add d/upstream/metadata

  [ Jeremy Sowden ]
  * d/control: set `Rules-Requires-Root: no`
  * d/s/lintian-overrides: update signature check override

 -- Jeremy Sowden <azazel@debian.org>  Tue, 19 Mar 2024 21:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
+Uploaders: David Bremner <bremner@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
+Build-Depends: debhelper-compat (= 13), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-buttercup

## emacs-buttercup 1.36

=== debian/changelog ===
emacs-buttercup (1.36-1) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * New upstream release
  * Update d/watch with filenamemangle for generating sane package name
  * Update Standards-Version to 4.7.0; no change needed

  [ Jeremy Sowden ]
  * d/.gitignore: ignore build artefacts
  * d/rules: remove unnecessary dh_compress override
  * d/rules: enable `DH_VERBOSE` unless "terse" build-option is in use
  * d/rules: dh_auto_build just runs `make check`, so suppress it
  * d/elpa-test, d/rules: remove dh_auto_test override since it doesn't
    run the test-suite.  Remove the override from d/rules, disable
    dh_elpa_test in d/elpa-test, and leave dh_auto_test to run `make
    check`.

 -- Jeremy Sowden <azazel@debian.org>  Wed, 11 Sep 2024 18:36:24 +0100

## emacs-buttercup 1.37

=== debian/changelog ===
emacs-buttercup (1.37-1) unstable; urgency=medium

  * New upstream release
  * Add Salsa CI configuration file
  * Add autopkgtest to run upstream `make check'

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 22:53:48 -0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git

## emacs-buttercup 1.38

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 EMACS := emacs
 VERSION := $(shell sed -ne 's/^;; Version: \(.*\)/\1/p' buttercup.el)
-ELISP_FILES := $(wildcard *.el)
+ELISP_FILES := $(filter-out buttercup-pkg.el,$(wildcard *.el))
 
 .PHONY: test compile clean

=== debian/changelog ===
emacs-buttercup (1.38-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 13 Aug 2025 23:13:08 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13), dh-elpa (>= 0.0.17), emacs (>= 1:28.2+1-9)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jorgenschaefer/emacs-buttercup/
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-buttercup.git

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif

export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo dh_auto_build just runs `make check`, so suppress it.

=== debian/tests/control ===
Test-Command: make check
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/jorgenschaefer/emacs-buttercup/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
